OpenSubdiv: CLStencilTable Class Reference

| OpenSubdiv

Loading...
Searching...
No Matches
CLStencilTable Class Reference

OpenCL stencil table. More...

`#include <clEvaluator.h>`

## Public Member Functions
| CLStencilTable (Far::StencilTable const *stencilTable, cl_context clContext)
| CLStencilTable (Far::LimitStencilTable const *limitStencilTable, cl_context clContext)
| ~CLStencilTable ()
cl_mem | GetSizesBuffer () const
cl_mem | GetOffsetsBuffer () const
cl_mem | GetIndicesBuffer () const
cl_mem | GetWeightsBuffer () const
cl_mem | GetDuWeightsBuffer () const
cl_mem | GetDvWeightsBuffer () const
cl_mem | GetDuuWeightsBuffer () const
cl_mem | GetDuvWeightsBuffer () const
cl_mem | GetDvvWeightsBuffer () const
int | GetNumStencils () const

## Static Public Member Functions
template<typename DEVICE_CONTEXT>
static CLStencilTable * | Create (Far::StencilTable const *stencilTable, DEVICE_CONTEXT context)
template<typename DEVICE_CONTEXT>
static CLStencilTable * | Create (Far::LimitStencilTable const *limitStencilTable, DEVICE_CONTEXT context)

## Detailed Description

OpenCL stencil table.

This class is an OpenCL buffer representation of Far::StencilTable.

CLCompute consumes this table to apply stencils

Definition at line 35 of file clEvaluator.h.

## Constructor & Destructor Documentation

## ◆ CLStencilTable() [1/2]

CLStencilTable | ( | Far::StencilTable const * | stencilTable,
|  | cl_context | clContext )

## ◆ CLStencilTable() [2/2]

CLStencilTable | ( | Far::LimitStencilTable const * | limitStencilTable,
|  | cl_context | clContext )

## ◆ ~CLStencilTable()

~CLStencilTable | ( |  | ) |

## Member Function Documentation

## ◆ Create() [1/2]

template<typename DEVICE_CONTEXT>

CLStencilTable * Create | ( | Far::LimitStencilTable const * | limitStencilTable,
|  | DEVICE_CONTEXT | context )
| inlinestatic

Definition at line 44 of file clEvaluator.h.

## ◆ Create() [2/2]

template<typename DEVICE_CONTEXT>

CLStencilTable * Create | ( | Far::StencilTable const * | stencilTable,
|  | DEVICE_CONTEXT | context )
| inlinestatic

Definition at line 38 of file clEvaluator.h.

## ◆ GetDuuWeightsBuffer()

cl_mem GetDuuWeightsBuffer | ( |  | ) | const
| inline

Definition at line 63 of file clEvaluator.h.

## ◆ GetDuvWeightsBuffer()

cl_mem GetDuvWeightsBuffer | ( |  | ) | const
| inline

Definition at line 64 of file clEvaluator.h.

## ◆ GetDuWeightsBuffer()

cl_mem GetDuWeightsBuffer | ( |  | ) | const
| inline

Definition at line 61 of file clEvaluator.h.

## ◆ GetDvvWeightsBuffer()

cl_mem GetDvvWeightsBuffer | ( |  | ) | const
| inline

Definition at line 65 of file clEvaluator.h.

## ◆ GetDvWeightsBuffer()

cl_mem GetDvWeightsBuffer | ( |  | ) | const
| inline

Definition at line 62 of file clEvaluator.h.

## ◆ GetIndicesBuffer()

cl_mem GetIndicesBuffer | ( |  | ) | const
| inline

Definition at line 59 of file clEvaluator.h.

## ◆ GetNumStencils()

int GetNumStencils | ( |  | ) | const
| inline

Definition at line 66 of file clEvaluator.h.

## ◆ GetOffsetsBuffer()

cl_mem GetOffsetsBuffer | ( |  | ) | const
| inline

Definition at line 58 of file clEvaluator.h.

## ◆ GetSizesBuffer()

cl_mem GetSizesBuffer | ( |  | ) | const
| inline

Definition at line 57 of file clEvaluator.h.

## ◆ GetWeightsBuffer()

cl_mem GetWeightsBuffer | ( |  | ) | const
| inline

Definition at line 60 of file clEvaluator.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/clEvaluator.h